org.jetlang.remote.client

## Class CloseEvent.IOExceptionEvent

- java.lang.Object
- - org.jetlang.remote.client.CloseEvent.IOExceptionEvent

All Implemented Interfaces:
  CloseEvent

Direct Known Subclasses:
  CloseEvent.ReadException, CloseEvent.WriteException

Enclosing interface:
  CloseEvent

    public abstract static class CloseEvent.IOExceptionEvent
    extends Object
    implements CloseEvent

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.remote.client.CloseEvent

`CloseEvent.GracefulDisconnect, CloseEvent.IOExceptionEvent, CloseEvent.ReadException, CloseEvent.WriteException`

### Constructor Summary

Constructors
Constructor and Description
`IOExceptionEvent(IOException e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IOException` `getException()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IOExceptionEvent

    public IOExceptionEvent(IOException e)

### Method Detail

#### getException

    public IOException getException()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`